#include <bits/stdc++.h>

using namespace std;
#define int long long
#define maxn 200005
vector<pair<int,int> > v1,v2;
signed main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n,m,a,b;
    cin>>n>>m;
    for(int i=1;i<=n;i++){
        cin>>a>>b;
        v1.push_back(make_pair(a,b));
    }
    for(int i=1;i<=m;i++){
        cin>>a>>b;
        v2.push_back(make_pair(a,b));
    }
    if(n==1){
        a=v1[0].first;
        b=v1[0].second;
        int s=0;
        for(int i=1;i<=m;i++)
            s+=v2[i].second;
        if(s<=b){
            cout<<s;
            for(int i=1;i<=m;i++)
                cout<<i<<" 1 "<<v2[i].second;
        }
    }
    return 0;
}